org.apache.poi.ss.formula.function

## Class FunctionMetadataRegistry

- java.lang.Object
- - org.apache.poi.ss.formula.function.FunctionMetadataRegistry

-     public final class FunctionMetadataRegistry
      extends java.lang.Object

  Allows clients to get `FunctionMetadata` instances for any built-in function of Excel.
  Author:
    Josh Micich

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `FUNCTION_INDEX_CHOOSE`
    `static short` | `FUNCTION_INDEX_EXTERNAL`
    `static int` | `FUNCTION_INDEX_IF`
    `static short` | `FUNCTION_INDEX_INDIRECT`
    `static short` | `FUNCTION_INDEX_SUM`
    `static java.lang.String` | `FUNCTION_NAME_IF` The name of the IF function (i.e.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FunctionMetadata` | `getCetabFunctionByIndex(int index)`
    `static FunctionMetadata` | `getFunctionByIndex(int index)`
    `static FunctionMetadata` | `getFunctionByName(java.lang.String name)`
    `static short` | `lookupIndexByName(java.lang.String name)` Resolves a built-in function index.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FUNCTION_NAME_IF

          public static final java.lang.String FUNCTION_NAME_IF

      The name of the IF function (i.e. "IF"). Extracted as a constant for clarity.
      See Also:
        Constant Field Values

    - #### FUNCTION_INDEX_IF

          public static final int FUNCTION_INDEX_IF

      See Also:
        Constant Field Values

    - #### FUNCTION_INDEX_SUM

          public static final short FUNCTION_INDEX_SUM

      See Also:
        Constant Field Values

    - #### FUNCTION_INDEX_CHOOSE

          public static final int FUNCTION_INDEX_CHOOSE

      See Also:
        Constant Field Values

    - #### FUNCTION_INDEX_INDIRECT

          public static final short FUNCTION_INDEX_INDIRECT

      See Also:
        Constant Field Values

    - #### FUNCTION_INDEX_EXTERNAL

          public static final short FUNCTION_INDEX_EXTERNAL

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getFunctionByIndex

          public static FunctionMetadata getFunctionByIndex(int index)

    - #### getCetabFunctionByIndex

          public static FunctionMetadata getCetabFunctionByIndex(int index)

    - #### lookupIndexByName

          public static short lookupIndexByName(java.lang.String name)

      Resolves a built-in function index.
      Parameters:
        `name` - uppercase function name
      Returns:
        a negative value if the function name is not found. This typically occurs for external functions.

    - #### getFunctionByName

          public static FunctionMetadata getFunctionByName(java.lang.String name)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.